Namespaces | Typedefs | Variables
types.h File Reference

typedefs for Xapian More...

## Namespaces
| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Typedefs
typedef unsigned XAPIAN_DOCID_BASE_TYPE | Xapian::doccount
| A count of documents. More...
typedef XAPIAN_DOCID_BASE_TYPE | Xapian::doccount_diff
| A signed difference between two counts of documents. More...
typedef unsigned XAPIAN_DOCID_BASE_TYPE | Xapian::docid
| A unique identifier for a document. More...
typedef double | Xapian::doclength
| A normalised document length. More...
typedef int | Xapian::percent
| The percentage score for a document in an MSet. More...
typedef unsigned XAPIAN_TERMCOUNT_BASE_TYPE | Xapian::termcount
| A counts of terms. More...
typedef XAPIAN_TERMCOUNT_BASE_TYPE | Xapian::termcount_diff
| A signed difference between two counts of terms. More...
typedef unsigned | Xapian::termpos
| A term position within a document or query.
typedef int | Xapian::termpos_diff
| A signed difference between two term positions. More...
typedef unsigned | Xapian::timeout
| A timeout value in milliseconds. More...
typedef unsigned | Xapian::valueno
| The number for a value slot in a document. More...
typedef int | Xapian::valueno_diff
| A signed difference between two value slot numbers. More...
typedef double | Xapian::weight
| The weight of a document or term. More...
typedef XAPIAN_REVISION_TYPE | Xapian::rev
| Revision number of a database. More...

## Variables
const valueno | Xapian::BAD_VALUENO = 0xffffffff
| Reserved value to indicate "no valueno". More...

## Detailed Description

typedefs for Xapian